View Issue Details

IDProjectCategoryView StatusLast Update
00305082.x IDE BugsRoom EditorPublic2019-02-27 14:48
ReporterDanAssigned ToAlexander Borup 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.0 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030508: Room Editor: Snap-to-grid with multi-selection ignores sprite origin offset when moving instances
DescriptionWithin the Room Editor, the Snap-to-grid option when you have multiple instances selected with Ctrl multi-selection ignores the sprite's origin as an offset from the grid when moving these multiple instances at once. If you compare this to moving just one instance at a time, you can see the difference.
Steps To Reproduce1. Start GMS2 and import the attached sample.
2. Open the room and Ctrl/Cmd and click some of the yellow square instances to create a multi-select.
3. Now drag one of them around in the room so they all move.
4. Observe the sprites have all aligned to the 32x32 grid.
5. Deselect your multi-selection and select one of the instances you didn't move already.
6. Move this one instance and observe whilst it moves in 32x32 jumps, it does not immediately align to the grid lines.
Repro: 100%
TagsIDE, RoomEditor
2.x IDE Found In2.2.0.343
2.x Runtime Found In2.2.0.261
2.x IDE Verified In 2.2.2.396
2.x Runtime Verified In2.2.2.331

Activities

Dan

2019-02-11 15:16

Adminstrator  

testroomeditormultiselect.yyz (21,617 bytes)

Alexander Borup

2019-02-20 15:05

Developer   ~0063268

Last edited: 2019-02-20 15:05

View 2 revisions

now also works for multiselections of things with varying origins. Multiselection now snaps BY the grid, and single selection snaps TO the grid.

Alexander Borup

2019-02-20 15:06

Developer   ~0063269

See test case with differing origins

testroomeditormultiselect-2.yyz (17,350 bytes)

Dan

2019-02-22 10:45

Adminstrator   ~0063284

IDE 394+

Scott Dunbar

2019-02-27 14:48

Adminstrator   ~0063366

Verified fixed as per Alexanders comment above.

IDE: 2.2.2.396 Runtime: 2.2.2.331